9 votos

Extensiones Gnome Shell: Intento de postMessage en un puerto desconectado

Acabo de instalar Ubuntu 16.04 y el Gnome Shell 3.18.5. Soy nuevo en todo el 'Gnome Shell extensión'-cosas (yo uso mi navegador para instalar extensiones hechas por el usuario )

Así, la primera vez que accedí a https://extensions.gnome.org Podría instalar una extensión Creo que pero ahora me muestra un mensaje (por ejemplo cuando navego a https://extensions.gnome.org/local/ ): "Intento de publicar un mensaje en un puerto desconectado":

screenshot

Parece que ya no puedo hacer nada en ese sitio web. Cuando veo una extensión en el sitio web no puedo encontrar ningún botón de instalación ni nada (pero entonces no estoy muy seguro de cómo se supone que funciona).

He intentado instalar la extensión "Hide Top Bar" y también tengo instalado el Gnome Tweak Tool.

¿Cómo podría instalar esa herramienta con la línea de comandos?

$ sudo apt-get install gnome-shell-extensions-hide-top-bar

no parece funcionar (E: Unable to locate package gnome-Shell-extensions-hide-top-bar)

11voto

theharshest Puntos 126

Ubuntu 16.04

Bueno, he encontrado la respuesta, no tenía instalado chrome-gnome-Shell.

  • He comprobado mis extensiones de Firefox (escribe about:addons en la barra de url de firefox). La integración de GNOME Shell aparecía allí.
  • Haga clic en Más para leer las instrucciones:

Esta extensión proporciona integración con GNOME Shell y el correspondiente repositorio de extensiones https://extensions.gnome.org Debes instalar el conector nativo para que esta extensión funcione. [...] Para Ubuntu Linux el paquete está disponible en ne0sight/chrome-gnome-Shell PPA. Para instalarlo escriba: sudo add-apt-repository ppa:ne0sight/chrome-gnome-Shell sudo apt-get update sudo apt-get install chrome-gnome-Shell

  • Y esto es lo que hice:

    sudo add-apt-repository ppa:ne0sight/chrome-gnome-Shell

    sudo apt-get update

    sudo apt-get install chrome-gnome-Shell

Ahora hay un deslizador de activación/desactivación en la parte superior derecha de la página de cada extensión.

Ubuntu 16.10 (información adicional de TrailRider )

chrome-gnome-shell está en los repos de la 16.10 (no estoy seguro de la 16.04) así que puedes instalarlo con el centro de software o vía apt-get PERO NO FUNCIONARÁ y te dará el mismo error. Instalar el ppa y luego ejecutar apt-get upgrade actualizará chrome-gnome-Shell a una versión más actual y funcionará. Tuve una confusión después de instalar y me seguía dando el error así que añadí esta información en un comentario [actualización: lo he incluido en la respuesta para que sea más visible]

0voto

Neovibrant Puntos 111

Para cualquier otra persona que tenga este problema, compruebe si este archivo existe:

/etc/chromium/policies/managed/chrome-gnome-shell.json

Por alguna razón faltaba en mi sistema 16.10, lo que se arregló añadiendo el PPA de arriba.

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: